Skip to content
Get started

List your API keys

GET/api/user/api-keys

Returns metadata for all your API keys (PATs and Ed25519 key pairs). The plaintext key is never returned here — only on creation.

ReturnsExpand Collapse
keys: optional array of object { id, createdAt, lastUsedAt, 3 more }
id: optional string
createdAt: optional string
formatdate-time
lastUsedAt: optional string
formatdate-time
name: optional string
prefix: optional string

First 8 hex chars of the secret (safe to display)

type: optional "PAT" or "ED25519"
One of the following:
"PAT"
"ED25519"

List your API keys

curl https://racks.cash/api/user/api-keys
{
  "keys": [
    {
      "id": "id",
      "createdAt": "2019-12-27T18:11:19.117Z",
      "lastUsedAt": "2019-12-27T18:11:19.117Z",
      "name": "name",
      "prefix": "prefix",
      "type": "PAT"
    }
  ]
}
Returns Examples
{
  "keys": [
    {
      "id": "id",
      "createdAt": "2019-12-27T18:11:19.117Z",
      "lastUsedAt": "2019-12-27T18:11:19.117Z",
      "name": "name",
      "prefix": "prefix",
      "type": "PAT"
    }
  ]
}